
import math

from openerp.osv import osv, fields

class res_partner(osv.osv):
    _inherit = 'res.partner'

    def _contract_count(self, cr, uid, ids, field_name, arg, context=None):
        res = dict(map(lambda x: (x,0), ids))
        # The current user may not have access rights for sale orders
        try:
            for partner in self.browse(cr, uid, ids, context):
                res[partner.id] = len(partner.contract_ids)
        except:
            pass
        return res

    """ Inherits partner and adds Tasks information in the partner form """
    _columns = {
        'contract_ids': fields.one2many('account.analytic.account', 'partner_id', 'Contract'),
        'contract_count': fields.function(_contract_count, string='# Contrato', type='integer'),
    }


# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
